Get All
List Data Sources added to VCF Operations for networks Filters can be applied on enabled, Collector and problem Few examples of filter clause
- problem = 'Data Source Identity Information Change'
- problem = 'Invalid credentials'
- problem = 'Data Source is not reachable'
- Enabled = 'false'
- Collector = 'Collector_10.79.197.35'
Few examples of order_by clause
- Collector
- entity_type
Page size of results
Cursor from previous response
A filter expression is a predicate expression (similar to SQL where clause) used to define the search criteria
order by
show certificates and thumbprint
OK
{
"results": [
{
"entity_id": "18230:35230:1233393386",
"entity_type": "VCenterDataSource",
"ip": "192.168.10.1",
"fqdn": "go.vc.org",
"proxy_id": "10000:901:259035760279348535",
"nickname": "vcenter",
"enabled": true,
"certificate": "-----BEGIN CERTIFICATE----- ..etc..",
"sha_thumbprint": "15:37:46:1E:DB:70:65:80:B2:74:E5:78:25:E5:AD:39:14:53:69:18"
}
],
"cursor": "MTA=",
"total_count": 15
}
Array of Data source configurations
Cursor for the next page
Total number of objects in the system, despite the page limit
Bad Request
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
Unauthorized
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
Internal error
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
curl -H 'Authorization: <value>' https://{api_host}/api/ni/data-sources